% big-ass parameter file

% sample selection information
Tk = 3; % time slices
K = 2; % constraint for interaction
Pj = 50; % samples per time slice
rho = 0.75;
sig = 0.5;

% environmental heatmap info
mu = [1 1;3 1;8 3];
gmmMeans = size(mu,1);
sigma = 3*ones(1,2,gmmMeans);
sigma(:,:,1) = [5 5];
sigma(:,:,2) = [5 5];

% multi-agent path planning information
agent_number = 3;
N = agent_number;
starting_locations = [1,2;1 2.5;1 3];
% goal_locations = [5,5;9,9];
goal_final = [9,2;9 2.5;9 3];
goal_locations = goal_final;
token_ownership = true;
environment_size = [0 10 0 5];
threshold = 0.40;
safe_radius = 1;
step_size = 0.1;
collision_radius = 0.5;
move_speed = 1;
planning_iterations = 300;
max_sample_itr = 50*Pj; % get average 50 misses per sample point (?)
distance_increment = 3;
% [x_pts, y_pts] = generateObstacles(environment_size, threshold, step_size, starting_locations, goal_locations, safe_radius);
% obstacle_points = [x_pts, y_pts];

load("obstacle_saved.mat");

% build environmental heatmap
[gmPDF, Z, gmObj, x_area, y_area] = buildGMM(environment_size, mu, sigma);

% plotting parameters
lw = 1.5; % line width
fs = 16; % font size
ms = 10; % marker size